EDIT - bug #6623

formatter for bibliografic citations with citationDetail
05/05/2017 01:34 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal Found in Version:

Description

The cdmlib misses providing string representations for References + referenceDetail. This is needed for the references of
TaxonNames and TypeDesignations.

NOTE: It is planned to handle these references as OriginalSource (#6581)

Related issues:
Related to EDIT - feature request #6581: Make all microreferenced references ... Closed

Associated revisions

Revision da04d3c7 - 11/25/2020 08:58 PM - Andreas Miuller

ref #6623 include microReference in DefaultReferenceCacheStrategy.getCitation...)

Revision dba500e8 - 11/25/2020 09:14 PM - Andreas Miller

ref #6623 include microReference in DefaultReferenceCacheStrategy.getCitation(...) (cont.)

History

#1 - 05/05/2017 01:35 PM - Andreas Kohlbecker

- Project changed from PhycoBank to EDIT

- Category set to cdmlib

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- Severity set to normal

#2 - 05/05/2017 01:36 PM - Andreas Kohlbecker

- Subject changed from formatter for bibligrafic citations with citationDetail to formatter for bibliografic citations with citationDetail

#3 - 06/20/2017 06:06 PM - Andreas Miiller
- Description updated

#4 - 06/20/2017 06:07 PM - Andreas Miller

- Related to feature request #6581: Make all microreferenced references OriginalSources added

#5 - 06/20/2017 06:08 PM - Andreas Miiller
- Description updated

- Target version set to Unassigned CDM tickets

#6 - 12/17/2018 01:51 PM - Andreas Kohlbecker

- Tags set to formatter

#7 - 12/17/2018 01:53 PM - Andreas Kohlbecker

- Tags changed from formatter to formatting

#8 - 01/11/2019 04:43 PM - Andreas Kohlbecker

- Description updated
#9 - 11/25/2020 08:59 PM - Andreas Miiller

- Status changed from New to Resolved

- Assignee changed from Andreas Miller to Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.18

- % Done changed from 0 to 50

This should be something like DefaultReferenceCacheStrategy.getNomenclaturalCitation(Reference, String) but for bibliographic references, not
nomenclatural references.

There is DefaultReferenceCacheStrategy.createShortCitation(...) which may serve your purpose and | also adapted
DefaultReferenceCacheStrategy.getCitation(...) to support microReference (da04d3c759).

Does this serve your purpose?

#10 - 11/30/2020 02:30 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

| am pretty sure that this was a requirement for the TypeDesignationManager which was composing References + referenceDetail for bibliographic
citations not correctly.

now that the TypeDesignationManager has been improved anyway and that it is providing the bibliographic citations with citation detail correctly, we
can savely close this issue as completed. | am no longer having a special requirement for this feature but | am assuming that new methods are being
used in the TypeDesignationManager.

#11 - 11/30/2020 02:30 PM - Andreas Kohlbecker
- % Done changed from 50 to 100
